Commit cf3064dc authored by catch's avatar catch
Browse files

Issue #3265378 by xjm: Fix NoPreExistingSchemaUpdateTest when MINIMUM_SUPPORTED_PHP is used

(cherry picked from commit eb75b5ef)
parent a17f93cc
......@@ -63,6 +63,8 @@ public function testNoPreExistingSchema() {
]);
$this->drupalGet($update_url);
$this->assertSession()->pageTextContains('Schema information for module update_test_no_preexisting was missing from the database. You should manually review the module updates and your database to check if any updates have been skipped up to, and including, update_test_no_preexisting_update_8001().');
$this->updateRequirementsProblem();
$schema = \Drupal::service('update.update_hook_registry')->getAllInstalledVersions();
......@@ -70,7 +72,6 @@ public function testNoPreExistingSchema() {
$this->assertEquals('8001', $schema['update_test_no_preexisting']);
// The schema version has been fixed, but the update was never run.
$this->assertFalse(\Drupal::state()->get('update_test_no_preexisting_update_8001', FALSE));
$this->assertSession()->pageTextContains('Schema information for module update_test_no_preexisting was missing from the database. You should manually review the module updates and your database to check if any updates have been skipped up to, and including, update_test_no_preexisting_update_8001().');
}
}
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment